ICU 76.1: U_HEADER_ONLY_NAMESPACE::USetStringIterator Class Reference

ICU 76.1 76.1

Public Member Functions | Friends
U_HEADER_ONLY_NAMESPACE::USetStringIterator Class Reference

Iterator returned by USetStrings. More...

`#include <uset.h>`

## Public Member Functions
| USetStringIterator (const USetStringIterator &other)=default
bool | operator== (const USetStringIterator &other) const
bool | operator!= (const USetStringIterator &other) const
std::u16string_view | operator* () const
USetStringIterator & | operator++ ()
| Pre-increment.
USetStringIterator | operator++ (int)
| Post-increment.

## Friends
class | USetStrings

## Detailed Description

Iterator returned by USetStrings.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1637 of file uset.h.

## Constructor & Destructor Documentation

## ◆ USetStringIterator()

U_HEADER_ONLY_NAMESPACE::USetStringIterator::USetStringIterator | ( | const USetStringIterator & | other | ) |
| default

Draft
  This API may be changed in the future versions and was introduced in ICU 76

## Member Function Documentation

## ◆ operator!=()

bool U_HEADER_ONLY_NAMESPACE::USetStringIterator::operator!= | ( | const USetStringIterator & | other | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1652 of file uset.h.

References operator==().

## ◆ operator*()

std::u16string_view U_HEADER_ONLY_NAMESPACE::USetStringIterator::operator* | ( |  | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1655 of file uset.h.

References uset_getString().

## ◆ operator++() [1/2]

USetStringIterator & U_HEADER_ONLY_NAMESPACE::USetStringIterator::operator++ | ( |  | ) |
| inline

Pre-increment.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1669 of file uset.h.

## ◆ operator++() [2/2]

USetStringIterator U_HEADER_ONLY_NAMESPACE::USetStringIterator::operator++ | ( | int |  | ) |
| inline

Post-increment.

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1678 of file uset.h.

## ◆ operator==()

bool U_HEADER_ONLY_NAMESPACE::USetStringIterator::operator== | ( | const USetStringIterator & | other | ) | const
| inline

Draft
  This API may be changed in the future versions and was introduced in ICU 76

Definition at line 1643 of file uset.h.

Referenced by operator!=().

## Friends And Related Symbol Documentation

## ◆ USetStrings

friend class USetStrings
| friend

Definition at line 1685 of file uset.h.

The documentation for this class was generated from the following file:

- common/unicode/uset.h